Spark Bug: Max selected options attribute on multi-select picklsit fields not working

Hello

I found what I can only assume is a bug on Spark pages for multi-select picklists. In the page builder for multi-selects, there is an option for max selectable items. When I set this to a number less than the amount of options in my picklist, there is no change in behavior on the page, and the console shows a warning that 'maxSelected is not a valid attribute of <skuid_field/>.

So the page builder is essentially asking for an attribute that does not exist.





FYI, I don’t actually need to limit how many options are selected. I just need the select all option to go away, which there is also no option for. I had assumed preventing the user from selecting all of them would remove that automatically.

Is this a known issue? Is there any way to remove ‘select all’ from a multi-select picklist in spark?

Thanks!

Hi Joe, thanks for letting us know about this. What version of Skuid are you using? If you’re not on the most recent version (12.2.10), please upgrade in a Sandbox environment and verify that the issue still occurs. 

I think I should be able to reproduce this issue in the Builder without a test page, but I’ll let you know if it would help us to have a repro page.

Cheers!

Hi Anna, thanks for the resonse

We just upgraded to 12.2.10 and this issue was not resolved. That field attribute is still bugged and there is still no way to remove ‘select all.’

Thanks for your response, Joe, and for bringing this issue to our attention. This is a known issue that affects v2 pages even if “Max Selectable Items” is specified in the composer, it’s ignored when using the page. There is not a target date for getting this issue addressed yet but our devs are aware of it.

To verify, did you observe this issue in v2 or did you also observe it in v1?

Thank you for your patience! Skuid has fixed the issue you raised regarding Max selected options attribute on multi-select picklist fields not working  (issue DSC-1912) in the Spark U3 12.4.0 release which is now available on the Skuid Releases page.


Best practices for upgrading can be found in Upgrading Skuid on Salesforce.  As a reminder, Salesforce does NOT allow reverting back to prior versions of managed packages. Skuid always recommends installing new versions in a non-business critical sandbox environment to test all mission critical functionality before installing into a production environment. We also recommend that you update out of date themes after you upgrade. Please let us know if you continue to encounter any problems with this issue after upgrading.
 
Thanks again for alerting us of this issue!